- [HTTP request](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.operationIds/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.operationIds/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.operationIds/get#body.request_body)
- [Response body](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.operationIds/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.operationIds/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/projects.locations.operationIds/get#body.aspect_1)

Gets details about the long-running operation to generate audit reports.

### HTTP request

`GET https://auditmanager.googleapis.com/v1/{name=projects/*/locations/*/operationIds/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` The name of the operation resource. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/folders.locations.operationDetails#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `auditmanager.operations.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).